Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ClusterClient Class Reference
Inheritance diagram for ClusterClient:

## Public Member Functions
| __init__ (self, configList, clusterSyncFlag)
| __call__ (self, commandString, fLocally=1, serverList=[])
| addControlMapping (self, objectName, controlledName, serverList=None, offset=None, priority=0)
| addNamedObjectMapping (self, object, name, hasColor=True)
| addObjectTag (self, object, selectFunction, deselectFunction, selectArgs, deselectArgs)
| controlObjectTask (self, task)
| deselectNodePath (self, nodePath)
| exit (self)
| getNodePathFindCmd (self, nodePath)
| getNodePathName (self, nodePath)
| handleDatagram (self, dgi, type, server)
| handleMessageQueue (self, server)
| handleNamedMovement (self, data)
| loadModel (self, nodePath)
| moveCamera (self, xyz, hpr)
| moveCameraTask (self, task)
| moveObject (self, nodePath, object, serverList, offset, hasColor=True)
| moveSelectedTask (self, state)
| redoSortedPriorities (self)
| removeControlMapping (self, name, serverList=None)
| removeObjectMapping (self, name)
| removeObjectTag (self, object)
| selectNodePath (self, nodePath)
| sendCamFrustum (self, focalLength, filmSize, filmOffset, indexList=[])
| sendNamedMovementDone (self, serverList=None)
| setControlMappingOffset (self, objectName, offset)
| startControlObjectTask (self)
| startMoveCamTask (self)
| startMoveSelectedTask (self)
| startReaderPollTask (self)
| startSynchronizeTimeTask (self)
| synchronizeTimeTask (self, task)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
dict | controlMappings = {}
| controlObjectTask
dict | controlOffsets = {}
dict | controlPriorities = {}
| daemon = DirectD()
| moveCameraTask
| moveSelectedTask
| msgHandler = ClusterMsgHandler(ClusterClient.MGR_NUM, self.notify)
dict | objectHasColor = {}
dict | objectMappings = {}
| qcm = QueuedConnectionManager()
list | serverList = []
list | serverQueues = []
list | sortedControlMappings = []
| synchronizeTimeTask
dict | taggedObjects = {}

## Static Public Attributes
int | MGR_NUM = 1000000
| notify = DirectNotifyGlobal.directNotify.newCategory("ClusterClient")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Member Functions
| _readerPollTask (self, state)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
| _readerPollTask
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | configList,
|  |  | clusterSyncFlag )

## Member Function Documentation

## ◆ __call__()

__call__ | ( |  | self,
|  |  | commandString,
|  |  | fLocally = 1,
|  |  | serverList = [] )

## ◆ _readerPollTask()

_readerPollTask | ( |  | self,
|  |  | state )
| protected

     Non blocking task to read all available datagrams

## ◆ addControlMapping()

addControlMapping | ( |  | self,
|  |  | objectName,
|  |  | controlledName,
|  |  | serverList = None,
|  |  | offset = None,
|  |  | priority = 0 )

## ◆ addNamedObjectMapping()

addNamedObjectMapping | ( |  | self,
|  |  | object,
|  |  | name,
|  |  | hasColor = True )

## ◆ addObjectTag()

addObjectTag | ( |  | self,
|  |  | object,
|  |  | selectFunction,
|  |  | deselectFunction,
|  |  | selectArgs,
|  |  | deselectArgs )

## ◆ controlObjectTask()

controlObjectTask | ( |  | self,
|  |  | task )

## ◆ deselectNodePath()

deselectNodePath | ( |  | self,
|  |  | nodePath )

## ◆ exit()

exit | ( |  | self | ) |

## ◆ getNodePathFindCmd()

getNodePathFindCmd | ( |  | self,
|  |  | nodePath )

## ◆ getNodePathName()

getNodePathName | ( |  | self,
|  |  | nodePath )

## ◆ handleDatagram()

handleDatagram | ( |  | self,
|  |  | dgi,
|  |  | type,
|  |  | server )

## ◆ handleMessageQueue()

handleMessageQueue | ( |  | self,
|  |  | server )

## ◆ handleNamedMovement()

handleNamedMovement | ( |  | self,
|  |  | data )

     Update cameraJig position to reflect latest position

## ◆ loadModel()

loadModel | ( |  | self,
|  |  | nodePath )

## ◆ moveCamera()

moveCamera | ( |  | self,
|  |  | xyz,
|  |  | hpr )

Reimplemented in ClusterClientSync.

## ◆ moveCameraTask()

moveCameraTask | ( |  | self,
|  |  | task )

## ◆ moveObject()

moveObject | ( |  | self,
|  |  | nodePath,
|  |  | object,
|  |  | serverList,
|  |  | offset,
|  |  | hasColor = True )

## ◆ moveSelectedTask()

moveSelectedTask | ( |  | self,
|  |  | state )

## ◆ redoSortedPriorities()

redoSortedPriorities | ( |  | self | ) |

## ◆ removeControlMapping()

removeControlMapping | ( |  | self,
|  |  | name,
|  |  | serverList = None )

## ◆ removeObjectMapping()

removeObjectMapping | ( |  | self,
|  |  | name )

## ◆ removeObjectTag()

removeObjectTag | ( |  | self,
|  |  | object )

## ◆ selectNodePath()

selectNodePath | ( |  | self,
|  |  | nodePath )

## ◆ sendCamFrustum()

sendCamFrustum | ( |  | self,
|  |  | focalLength,
|  |  | filmSize,
|  |  | filmOffset,
|  |  | indexList = [] )

## ◆ sendNamedMovementDone()

sendNamedMovementDone | ( |  | self,
|  |  | serverList = None )

## ◆ setControlMappingOffset()

setControlMappingOffset | ( |  | self,
|  |  | objectName,
|  |  | offset )

## ◆ startControlObjectTask()

startControlObjectTask | ( |  | self | ) |

## ◆ startMoveCamTask()

startMoveCamTask | ( |  | self | ) |

## ◆ startMoveSelectedTask()

startMoveSelectedTask | ( |  | self | ) |

## ◆ startReaderPollTask()

startReaderPollTask | ( |  | self | ) |

     Task to handle datagrams from server

## ◆ startSynchronizeTimeTask()

startSynchronizeTimeTask | ( |  | self | ) |

## ◆ synchronizeTimeTask()

synchronizeTimeTask | ( |  | self,
|  |  | task )

## Member Data Documentation

## ◆ _readerPollTask

_readerPollTask
| protected

## ◆ controlMappings

controlMappings = {}

## ◆ controlObjectTask

controlObjectTask

## ◆ controlOffsets

dict controlOffsets = {}

## ◆ controlPriorities

dict controlPriorities = {}

## ◆ daemon

daemon = DirectD()

## ◆ MGR_NUM

int MGR_NUM = 1000000
| static

## ◆ moveCameraTask

moveCameraTask

## ◆ moveSelectedTask

moveSelectedTask

## ◆ msgHandler

msgHandler = ClusterMsgHandler(ClusterClient.MGR_NUM, self.notify)

## ◆ notify

notify = DirectNotifyGlobal.directNotify.newCategory("ClusterClient")
| static

## ◆ objectHasColor

dict objectHasColor = {}

## ◆ objectMappings

objectMappings = {}

## ◆ qcm

qcm = QueuedConnectionManager()

## ◆ serverList

serverList = []

## ◆ serverQueues

list serverQueues = []

## ◆ sortedControlMappings

list sortedControlMappings = []

## ◆ synchronizeTimeTask

synchronizeTimeTask

## ◆ taggedObjects

dict taggedObjects = {}